/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables features
 */

.dataTables_wrapper {
	position: relative;
	min-height: 302px;
	clear: both;
	_height: 302px;
	zoom: 1; /* Feeling sorry for IE */
}

.dataTables_processing {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 250px;
	height: 30px;
	margin-left: -125px;
	margin-top: -15px;
	padding: 14px 0 2px 0;
	border: 1px solid #ddd;
	text-align: center;
	color: #999;
	font-size: 14px;
}

.dataTables_length {
	
}

.dataTables_info {

	float: left;
	margin-top: 20px;
}

.dataTables_paginate {
	width: 44px;
	* width: 50px;
	margin-top: 14px;
	float: right;
	text-align: right;
}

/* Pagination nested */
.paginate_disabled_previous, .paginate_enabled_previous, .paginate_disabled_next, .paginate_enabled_next {
	height: 19px;
	width: 19px;
	margin-left: 3px;
	float: left;
	
}

.paginate_disabled_previous {
	background-image: url('../images/back_disabled.jpg');
}

.paginate_enabled_previous {
	background-image: url('../images/back_enabled.jpg');
}

.paginate_disabled_next {
	background-image: url('../images/forward_disabled.jpg');
}

.paginate_enabled_next {
	background-image: url('../images/forward_enabled.jpg');
}



/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables display
 */
table.display {
	margin: 0 auto;
	clear: both;
	width: 100%;
	
	/* Note Firefox 3.5 and before have a bug with border-collapse
	 * ( https://bugzilla.mozilla.org/show%5Fbug.cgi?id=155955 ) 
	 * border-spacing: 0; is one possible option. Conditional-css.com is
	 * useful for this kind of thing
	 *
	 * Further note IE 6/7 has problems when calculating widths with border width.
	 * It subtracts one px relative to the other browsers from the first column, and
	 * adds one to the end...
	 *
	 * If you want that effect I'd suggest setting a border-top/left on th/td's and 
	 * then filling in the gaps with other borders.
	 */
}

table.display thead th {
	background: #015c91;
	background: linear-gradient(top, rgba(1,171,197,1) 0%, rgba(1,92,145,1) 100%);
	background: -webkit-linear-gradient(top, rgba(1,171,197,1) 0%, rgba(1,92,145,1) 100%);
	background: -moz-linear-gradient(top, rgba(1,171,197,1) 0%, rgba(1,92,145,1) 100%);
	font-weight: bold;
	cursor: pointer;
	color: #fff;
	text-align: left;
	padding-left: 8px;
	padding-right: 8px;
	border-bottom: 2px solid #005b90;
	height: 35px;
		/* was 55 */
	* cursor: hand;
}
table.display tfoot th {
	/* was this padding: 3px 18px 3px 10px; */
	padding: 3px 18px 3px 10px;
	border-top: 1px solid black;
	font-weight: bold;
}
.bar {height: 1px; opacity: 0.3;}
table.display tr.heading2 td {
	border-bottom: 1px solid #aaa;
}

table.display td {
	/*padding: 3px 10px 1px 19px;*/
	padding: 3px 8px 1px 8px;
	font-size: 14px;
	border-bottom: 1px solid #d9d9d9;
}

table.display td.center {
	text-align: center;
}




/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables sorting
 */

.table_heading_bg {
	background: #015c91;
	background: linear-gradient(top, rgba(1,92,145,1) 0%, rgba(1,92,145,1) 42%, rgba(1,171,197,1) 100%);
	background: -webkit-linear-gradient(top, rgba(1,92,145,1) 0%, rgba(1,92,145,1) 42%, rgba(1,171,197,1) 100%);
	background: -moz-linear-gradient(top, rgba(1,92,145,1) 0%, rgba(1,92,145,1) 42%, rgba(1,171,197,1) 100%);
	
	
}
.sorting_asc {
	background: url('../images/sort_asc.png') #006cab  no-repeat center right !important;
	border-top: 1px solid #01a6c2;
}

.sorting_desc {
	background: url('../images/sort_desc.png') #006cab no-repeat center right !important;
	border-top: 1px solid #01a6c2;
}

.sorting {
	background: url('../images/sort_both.png') #015c91 no-repeat center right !important;
	border-top: 1px solid #01a6c2;
}

.sorting_asc_disabled {
	background: url('../images/sort_asc_disabled.png') no-repeat center right !important;
}

.sorting_desc_disabled {
	background: url('../images/sort_desc_disabled.png') no-repeat center right !important;
}





/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * DataTables row classes
 */
table.display tr.odd.gradeA {
	background-color: #eff0f2;
}

table.display tr.even.gradeA {
	background-color: #fff;
}

table.display tr.odd.gradeC {
	background-color: #eff0f2;
}

table.display tr.even.gradeC {
	background-color: #fff;
}

table.display tr.odd.gradeX {
	background-color: #eff0f2;
}

table.display tr.even.gradeX {
	background-color: #fff;
}

table.display tr.odd.gradeU {
	background-color: #eff0f2;
}

table.display tr.even.gradeU {
	background-color: #fff;
}


tr.odd {
	background-color: #eff0f2;
}

tr.even {
	background-color: white;
	
}





/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Misc
 */
.dataTables_scroll {
	clear: both;
}

.dataTables_scrollBody {
	*margin-top: -1px;
}

.top, .bottom {
	padding: 15px;
	background-color: #F5F5F5;
	border: 1px solid #CCCCCC;
}

.top .dataTables_info {
	float: none;
}

.clear {
	clear: both;
}

.dataTables_empty {
	text-align: center;
}

tfoot input {
	margin: 0.5em 0;
	width: 100%;
	color: #444;
}

tfoot input.search_init {
	color: #999;
}

td.group {
	background-color: #d1cfd0;
	border-bottom: 2px solid #A19B9E;
	border-top: 2px solid #A19B9E;
}

td.details {
	background-color: #d1cfd0;
	border: 2px solid #A19B9E;
}


.example_alt_pagination div.dataTables_info {
	width: 40%;
}

.paging_full_numbers {
	width: 400px;
	height: 22px;
	line-height: 22px;
}

.paging_full_numbers span.paginate_button,
 	.paging_full_numbers span.paginate_active {
	
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	padding: 4px 8px;
	margin: 0 3px;
	cursor: pointer;
	*cursor: hand;
}

.paging_full_numbers span.paginate_button {
	background-color: #d5eff3;
	border: 1px solid #aec7cd;
}

.paging_full_numbers span.paginate_button:hover {
	background-color: #edf7f8;
}

.paging_full_numbers span.paginate_active {
	background: #87b13f;
	background: -moz-linear-gradient(top, rgba(135,177,63,1) 0%, rgba(156,207,71,1) 100%); /* FF3.6+ */
	color: #fff;
	border: 1px solid #79be25;
	box-shadow: inset 0px 2px 0px rgba(191, 213, 93, 1);
}

table.display tr.even.row_selected td {
	background-color: #B0BED9;
}

table.display tr.odd.row_selected td {
	background-color: #9FAFD1;
}


/*
 * Sorting classes for columns
 */
/* For the standard odd/even */
tr.odd td.sorting_1 {
	background-color: #D3D6FF;
}

tr.odd td.sorting_2 {
	background-color: #DADCFF;
}

tr.odd td.sorting_3 {
	background-color: #E0E2FF;
}

tr.even td.sorting_1 {
	background-color: #EAEBFF;
}

tr.even td.sorting_2 {
	background-color: #F2F3FF;
}

tr.even td.sorting_3 {
	background-color: #F9F9FF;
}


/* For the Conditional-CSS grading rows */
/*
 	Colour calculations (based off the main row colours)
  Level 1:
		dd > c4
		ee > d5
	Level 2:
	  dd > d1
	  ee > e2
 */
tr.odd.gradeA td.sorting_1 {
	background-color: #c4ffc4;
}

tr.odd.gradeA td.sorting_2 {
	background-color: #d1ffd1;
}

tr.odd.gradeA td.sorting_3 {
	background-color: #d1ffd1;
}

tr.even.gradeA td.sorting_1 {
	background-color: #d5ffd5;
}

tr.even.gradeA td.sorting_2 {
	background-color: #e2ffe2;
}

tr.even.gradeA td.sorting_3 {
	background-color: #e2ffe2;
}

tr.odd.gradeC td.sorting_1 {
	background-color: #c4c4ff;
}

tr.odd.gradeC td.sorting_2 {
	background-color: #d1d1ff;
}

tr.odd.gradeC td.sorting_3 {
	background-color: #d1d1ff;
}

tr.even.gradeC td.sorting_1 {
	background-color: #d5d5ff;
}

tr.even.gradeC td.sorting_2 {
	background-color: #e2e2ff;
}

tr.even.gradeC td.sorting_3 {
	background-color: #e2e2ff;
}

tr.odd.gradeX td.sorting_1 {
	background-color: #ffc4c4;
}

tr.odd.gradeX td.sorting_2 {
	background-color: #ffd1d1;
}

tr.odd.gradeX td.sorting_3 {
	background-color: #ffd1d1;
}

tr.even.gradeX td.sorting_1 {
	background-color: #ffd5d5;
}

tr.even.gradeX td.sorting_2 {
	background-color: #ffe2e2;
}

tr.even.gradeX td.sorting_3 {
	background-color: #ffe2e2;
}

tr.odd.gradeU td.sorting_1 {
	background-color: #c4c4c4;
}

tr.odd.gradeU td.sorting_2 {
	background-color: #d1d1d1;
}

tr.odd.gradeU td.sorting_3 {
	background-color: #d1d1d1;
}

tr.even.gradeU td.sorting_1 {
	background-color: #d5d5d5;
}

tr.even.gradeU td.sorting_2 {
	background-color: #e2e2e2;
}

tr.even.gradeU td.sorting_3 {
	background-color: #e2e2e2;
}


/*
 * Row highlighting example
 */
.ex_highlight #example tbody tr.even:hover, #example tbody tr.even td.highlighted {
	background-color: #ECFFB3;
}

.ex_highlight #example tbody tr.odd:hover, #example tbody tr.odd td.highlighted {
	background-color: #E6FF99;
}

.ex_highlight_row #example tr.even:hover {
	background-color: #ECFFB3;
}

.ex_highlight_row #example tr.even:hover td.sorting_1 {
	background-color: #DDFF75;
}

.ex_highlight_row #example tr.even:hover td.sorting_2 {
	background-color: #E7FF9E;
}

.ex_highlight_row #example tr.even:hover td.sorting_3 {
	background-color: #E2FF89;
}

.ex_highlight_row #example tr.odd:hover {
	background-color: #E6FF99;
}

.ex_highlight_row #example tr.odd:hover td.sorting_1 {
	background-color: #D6FF5C;
}

.ex_highlight_row #example tr.odd:hover td.sorting_2 {
	background-color: #E0FF84;
}

.ex_highlight_row #example tr.odd:hover td.sorting_3 {
	background-color: #DBFF70;
}


/*
 * KeyTable
 */
table.KeyTable td {
	border: 3px solid transparent;
}

table.KeyTable td.focus {
	border: 3px solid #3366FF;
}

table.display tr.gradeA {
	background-color: #eeffee;
}

table.display tr.gradeC {
	background-color: #ddddff;
}

table.display tr.gradeX {
	background-color: #ffdddd;
}

table.display tr.gradeU {
	background-color: #ddd;
}

div.box {
	height: 100px;
	padding: 10px;
	overflow: auto;
	border: 1px solid #8080FF;
	background-color: #E5E5FF;
}

.dataTables_length {
	position: absolute;
	top: -350px;
	right: 0px;
}
.dataTables_length select {
	font-size: 13px;
	width: 150px;
	border-radius: 10px; 
	box-shadow: inset 2px 0px 5px rgba(0, 0, 0, 0.2);
	padding: 4px;
	border: 1px solid #adadad;
}
.dataTables_filter {
	position: absolute;
	top: -394px;
	right: 0px;
}
.dataTables_filter input {
	width: 274px;
	height: 38px;
	color: #000;
	text-indent: 20px;
	background: url(../images/search_bg.png);
}

.send_message {
	border-radius: 25px; 
	background: #87b13f;
	background: -moz-linear-gradient(top, rgba(135,177,63,1) 0%, rgba(156,207,71,1) 100%);
	box-shadow: inset 0px 3px 0px rgba(191, 213, 93, 1);
	display: block;
	border: 1px solid #93c243; 
	font-family: "Myriad Pro", arial, helvetica, sans-serif;
	font-weight: 600;
	text-align: center;
	padding: 0px 10px 0px 10px;
	line-height: 40px;
	height: 35px;
	font-size: 15px;
	color: #fff;
}

/*end*/